# Method: csses.updatelabels

- [HTTP request](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/updatelabels#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/updatelabels#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/updatelabels#body.request_body)
- [Response body](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/updatelabels#body.response_body)
- [Authorization scopes](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/updatelabels#body.aspect)
- [LabelIds](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/updatelabels#LabelIds)
  - [JSON representation](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/updatelabels#LabelIds.SCHEMA_REPRESENTATION)
- [Try it!](https://developers.google.com/shopping-content/reference/rest/v2.1/csses/updatelabels#try-it)

Updates labels that are assigned to a CSS domain by its CSS group.

### HTTP request

`POST https://shoppingcontent.googleapis.com/content/v2.1/{cssGroupId}/csses/{cssDomainId}/updatelabels`

### Path parameters

| Parameters ||
|---|---|
| `cssGroupId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The CSS group ID of the updated CSS domain. |
| `cssDomainId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. The ID of the updated CSS domain. |

### Request body

The request body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/csses/updatelabels#LabelIds`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/shopping-content/reference/rest/v2.1/csses#Css`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/content`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

## LabelIds

The IDs of labels that should be assigned to the CSS domain.

| JSON representation |
|---|
| ``` { "labelIds": [ string ] } ``` |

| Fields ||
|---|---|
| `labelIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` The list of label IDs. |